살군의 보조기억 장치

Another memory device…

How to configure Eclipse 3.5 to work with Tomcat6 on Ubuntu?

leave a comment »

This one simple tip helps me to begin Eclipse with Tomcat6.

———————————————-

How to configure Eclipse 3.5 to work with Tomcat6 on Ubuntu?

Posted by Gunith

When I was trying to add Tomcat 6 on Eclipse’s server list I got the following error message,

“Cannot create a server using the selected type”

The fix is as follows,

sudo apt-get install tomcat6
cd /usr/share/tomcat6
sudo ln -s /var/lib/tomcat6/conf conf
sudo ln -s /etc/tomcat6/policy.d/03catalina.policy conf/catalina.policy
sudo ln -s /var/log/tomcat6 log
sudo chmod -R 777 /usr/share/tomcat6/conf

This links all the files which are all over the place to /usr/share/tomcat6, which is awesome

Sources:

http://ubuntuforums.org/showthread.php?p=8541057 and

http://www.coderanch.com/t/426312/Linux-UNIX/running-Tomcat-with-eclipse-Ubuntu

 

 

retrieved from http://www.gunith.com/2010/11/how-to-configure-eclipse-3-5-to-work-with-tomcat6-on-ubuntu/

 

Advertisements

Written by gomiski

2010/12/14 at 2:17 pm

Posted in Lecture, Linux

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s

%d bloggers like this: